
Extension Builder - Task # 9442

Story # 11986 (Closed): As an extension developer I want to find the extension builder in TER

Status: Resolved Priority: Must have
Author: Lienhart Woitok Category: Code Creation
Created: 2010-08-24 Assigned To:
Updated: 2011-01-12 Due date:
Subject: Dynamic Scaffolding broken
Description

Since the creation of dynamic scaffolding Fluid has changed internally. Therefore the injection of dynamically created templates does
not work anymore and an exception is thrown as the template file is not found. I changed the ScaffoldingView to reflect these changes
in Fluid and it works again. A patch is attached.

History
#1 - 2010-08-30 12:50 - Saverio Vigni

Patch wrks fine for me thanks!

#2 - 2010-09-02 15:25 - Sebastian Michaelsen
- Status changed from New to Accepted
- Assigned To set to Sebastian Michaelsen

#3 - 2010-09-02 15:42 - Sebastian Michaelsen
- Category set to Code Creation

#4 - 2010-09-02 16:42 - Sebastian Michaelsen

Can you find out which revision of fluid introduced the breaking change? I'll write a patch that will make the kickstarter compatible with all fluid versions
then.

#5 - 2010-09-02 16:43 - Sebastian Michaelsen
- Status changed from Accepted to Needs Feedback

#6 - 2010-09-02 16:55 - Lienhart Woitok

I think that r2409 is responsible for the braking change, as the function TemplateView::getTemplateSource() was introduced in this revision:

http://forge.typo3.org/projects/typo3v4-mvc/repository/revisions/2409
http://forge.typo3.org/projects/typo3v4-mvc/repository/revisions/2409/diff/fluid/trunk/Classes/View/TemplateView.php

(See also svn blame Classes/View/TemplateView.php)

#7 - 2010-09-02 17:11 - Sebastian Michaelsen
- Target version set to 0.1

#8 - 2011-01-07 08:27 - Rens Admiraal
- Tracker changed from Bug to Task
http://forge.typo3.org/projects/typo3v4-mvc/repository/revisions/2409
http://forge.typo3.org/projects/typo3v4-mvc/repository/revisions/2409/diff/fluid/trunk/Classes/View/TemplateView.php


- Target version deleted (0.1)
- Parent task set to #11986

#9 - 2011-01-11 11:41 - Sebastian Michaelsen
- Assigned To deleted (Sebastian Michaelsen)

#10 - 2011-01-12 15:18 - Nico de Haen
- Status changed from Needs Feedback to Resolved

Obsolete since the scaffolding view is not used anymore

Files
extbase_kickstarter-dynamicScaffolding.patch 2.3 kB 2010-08-24 Lienhart Woitok
